b:
  x: int
  y: int
  width: int
  height: int
c:
  - a: 
      html_button: './html_button.y'
    b:
      x: 20
      y: 20
      width: 200
      height: 40
      label: 'Awesome Button'
        # changeable/dynamic button text
      #click:
      #  b: 
      #    click: event<text>
      #  c: 
      #    - a: './js_console_log.y'
      #      b:
      #click: